Bug 190179 - [patch] archivers/minizip: enable libminizip.so
Summary: [patch] archivers/minizip: enable libminizip.so
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-24 16:40 UTC by Tijl Coosemans
Modified: 2014-06-03 07:22 UTC (History)
0 users

See Also:


Attachments
minizip.patch (4.82 KB, patch)
2014-05-24 16:40 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2014-05-24 16:40:00 UTC
The patch below enables building the libminizip library which will be
used by multimedia/vlc.  The patch contains the following changes:
- Use the standard MASTER_SITE for zlib.
- Replace PLIST_FILES with a separate pkg-plist.
- Instead of using the bundled "Makefile" set USE_AUTOTOOLS to generate
  a new Makefile from Makefile.am that allows building libminizip.so.
  Also remove MAKE_ARGS, do-install and patch-contrib-minizip-Makefile.
- Silence post-patch.
- Adjust regression-test.
Comment 1 Edwin Groothuis freebsd_committer 2014-05-24 16:40:03 UTC
Maintainer of archivers/minizip,

Please note that PR ports/190179 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190179

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-05-24 16:40:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Tijl Coosemans freebsd_committer 2014-05-24 16:47:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

Take.
Comment 4 commit-hook freebsd_committer 2014-06-02 20:39:35 UTC
A commit references this bug:

Author: tijl
Date: Mon Jun  2 20:38:39 UTC 2014
New revision: 356248
URL: http://svnweb.freebsd.org/changeset/ports/356248

Log:
  Enable the libminizip library which will be used by multimedia/vlc:
  - Use the standard MASTER_SITE for zlib.
  - Replace PLIST_FILES with a separate pkg-plist.
  - Instead of using the bundled "Makefile" set USE_AUTOTOOLS to generate
    a new Makefile from Makefile.am that allows building libminizip.so.
    Also remove MAKE_ARGS, do-install and patch-contrib-minizip-Makefile.
  - Silence post-patch.
  - Adjust regression-test.

  PR:		190179
  Approved by:	bapt

Changes:
  head/archivers/minizip/Makefile
  head/archivers/minizip/distinfo
  head/archivers/minizip/files/
  head/archivers/minizip/pkg-plist